<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('profesionales_profesiones', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->foreignId('profesional_id')
                ->constrained('profesionales')
                ->onDelete('cascade');

            $table->foreignId('profesion_id')
                ->constrained('profesiones')
                ->onDelete('cascade');

            $table->unique(['profesional_id', 'profesion_id'], 'profesionales_profesiones_unique');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('profesionales_profesiones');
    }
};
